Skip to main content

Application Certificate Actions

https://api.app.wnology.io/applications/APPLICATION_ID/certificates/APPLICATION_CERTIFICATE_ID

Below are the various requests that can be performed against the Application Certificate resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an application certificate

Method And Url ​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/certificates/APPLICATION_CERTIFICATE_ID

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, applicationCertificate.*, or applicationCertificate.delete.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_CERTIFICATE_IDID associated with the application certificate575ec76c7ae143cd83dc4a96

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/certificates/APPLICATION_CERTIFICATE_ID

Successful Responses ​

CodeTypeDescription
200SuccessIf application certificate was successfully deleted

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application certificate was not found

Get​

Retrieves information on an application certificate

Method And Url ​

GET https://api.app.wnology.io/applications/APPLICATION_ID/certificates/APPLICATION_CERTIFICATE_ID

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, applicationCertificate.*, or applicationCertificate.get.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_CERTIFICATE_IDID associated with the application certificate575ec76c7ae143cd83dc4a96

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/certificates/APPLICATION_CERTIFICATE_ID

Successful Responses ​

CodeTypeDescription
200Application CertificateApplication certificate information

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application certificate was not found

Patch​

Updates information about an application certificate

Method And Url ​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/certificates/APPLICATION_CERTIFICATE_ID

Authentication ​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, applicationCertificate.*, or applicationCertificate.patch.

Request Path Components ​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
APPLICATION_CERTIFICATE_IDID associated with the application certificate575ec76c7ae143cd83dc4a96

Request Headers ​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body ​

The body of the request should be serialized JSON that validates against the Application Certificate Patch schema. For example, the following would be a valid body for this request:

{
"status": "active",
"description": "An example updated certificate description"
}

Curl Example ​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"status":"active","description":"An example updated certificate description"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/certificates/APPLICATION_CERTIFICATE_ID

Successful Responses ​

CodeTypeDescription
200Application CertificateUpdated application certificate information

Error Responses ​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application certificate was not found

Schemas​

Application Certificate​

Schema for a single Application Certificate

Application Certificate Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 14 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 1 key
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys

                              Application Certificate Example​

                              • ▶
                                {} 11 keys
                                • "5cd02a50df66feb0994c7196"
                                • "5cd02a50df66feb0994c7196"
                                • "575ec8687ae143cd83dc4a97"
                                • "2016-06-13T04:00:00.000Z"
                                • "2016-06-13T04:00:00.000Z"
                                • "active"
                                • "An example certificate description"
                                • ▶
                                  {} 6 keys
                                  • "all"
                                  • [] 0 items
                                    • [] 0 items

                                    Application Certificate Patch​

                                    Schema for the body of an Application Certificate modification request

                                    Application Certificate Patch Schema​

                                    • ▶
                                      {} 4 keys
                                      • "http://json-schema.org/draft-07/schema#"
                                      • "object"
                                      • ▶
                                        {} 6 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 3 keys
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                  • false

                                                Application Certificate Patch Example​

                                                • ▶
                                                  {} 2 keys
                                                  • "active"
                                                  • "An example updated certificate description"

                                                Error​

                                                Schema for errors returned by the API

                                                Error Schema​

                                                • ▶
                                                  {} 3 keys
                                                  • "http://json-schema.org/draft-07/schema#"
                                                  • "object"
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 1 key

                                                    Error Example​

                                                    • ▶
                                                      {} 2 keys
                                                      • "NotFound"
                                                      • "Application was not found"

                                                    Success​

                                                    Schema for reporting a successful operation

                                                    Success Schema​

                                                    • ▶
                                                      {} 3 keys
                                                      • "http://json-schema.org/draft-07/schema#"
                                                      • "object"
                                                      • ▶
                                                        {} 1 key
                                                        • ▶
                                                          {} 2 keys

                                                      Success Example​

                                                      • ▶
                                                        {} 1 key
                                                        • true

                                                      Was this page helpful?


                                                      Still looking for help? You can also search the WEGnology Forums or submit your question there.